package com.landaiqing.mapper;

import com.landaiqing.entity.AdminUserEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface adminMapper {
    List<AdminUserEntity> login(@Param("adminUserName") String adminUserName,@Param("adminPassword") String adminPassword);

    List<AdminUserEntity> selectAllAdmin();

    int OpenAdmin(@Param("adminId") Integer adminId);
    int CloseAdmin(@Param("adminId") Integer adminId);
    AdminUserEntity getAdminByID(@Param("adminId")Integer adminId);

    int updateAdmin(AdminUserEntity adminUserEntity);

    int insertAdmin(AdminUserEntity adminUserEntity);
    int deleteAdmin(Integer adminId);
}
